﻿@model IEnumerable<ALK.Models.ProductX>

@{
    ViewBag.Title = "Index";
}

@Html.Action("Index", "Categories", new {CatId = ViewBag.CategoryId })

<h2>@ViewBag.CategoryName</h2>

@using (Html.BeginForm("Edit", "Products", FormMethod.Post, new { enctype = "multipart/form-data" }))
{
    <table class="table">
        <tr>
            <th>

            </th>
            <th>
                Product Name
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Product.Price)
            </th>
            <th></th>
        </tr>

        @foreach (var item in Model)
        {

            <tr>
                <td>
                    <img height="100" src="@Url.Action("Content", "My", new { id = item.FirstImageId   })" />
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Product.ProductName)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Product.Price)
                </td>
                <td>
                    @Html.ActionLink("View", "Details", new { id = item.Product.Id }, new { @class = "btn btn-info" })
                    <a class="btn btn-warning" href="@Url.Action("Buy", "ProductList", new { Price = item.Product.Price, ProductN = item.Product.ProductName, Count = item.Product.PCount, ProductId = item.Product.Id })">Buy</a>
                </td>
            </tr>
        }

    </table>
}